<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimaryDark"
    tools:context=".PassphraseActivity">

    <EditText
        android:id="@+id/passphrase_input"
        android:layout_width="286dp"
        android:layout_height="61dp"
        android:layout_marginStart="88dp"
        android:layout_marginEnd="89dp"
        android:backgroundTint="#757575"
        android:ems="10"
        android:hint="Passphrase"
        android:includeFontPadding="false"
        android:inputType="textPassword"
        android:letterSpacing="0.2"
        android:paddingBottom="15dp"
        android:textAlignment="center"
        android:textColor="@color/colorPrimary"
        android:textColorHint="#757575"
        android:textSize="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/decrypt_button"
        style="@style/Widget.AppCompat.Button"
        android:layout_width="152dp"
        android:layout_height="59dp"
        android:layout_marginStart="161dp"
        android:layout_marginTop="48dp"
        android:layout_marginEnd="162dp"
        android:background="#00FFFFFF"
        android:backgroundTint="#001C1C1C"
        android:hapticFeedbackEnabled="false"
        android:text="Decrypt"
        android:textColor="@color/colorPrimary"
        android:textSize="18sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.484"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/passphrase_input" />

    <Button
        android:id="@+id/back"
        style="@style/Widget.AppCompat.Button.Borderless"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="163dp"
        android:layout_marginEnd="160dp"
        android:layout_marginBottom="30dp"
        android:fontFamily="sans-serif-light"
        android:text="Back"
        android:textColor="#AAAAAA"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/failed"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="180dp"
        android:layout_marginEnd="180dp"
        android:layout_marginBottom="40dp"
        android:fontFamily="sans-serif-black"
        android:text="Wrong Passphrase"
        android:textColor="#E53935"
        android:textSize="18sp"
        android:visibility="invisible"
        app:layout_constraintBottom_toTopOf="@+id/passphrase_input"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</androidx.constraintlayout.widget.ConstraintLayout>